﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim TextViewHeight,NumbViewHeight As Int
	Private Timer1,TestTimer As Timer
End Sub

Private Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private IME As IME
	Private EditText1 As EditText
	Private RunMode As String
	Private BScreen As SLBlankScreen
	Private BalFile As String
	Private Pnl As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	EditText1.Initialize("")
	Activity.AddView(EditText1,0,0,100DIp,50DIP)
	IME.Initialize("IME")
	IME.AddHeightChangedEvent
	Timer1.Initialize("Timer",1000)
	TestTimer.Initialize("TestTimer",1000)
End Sub

Sub Activity_Resume
	'Just in case
	IME.HideKeyboard
	
	'Check if a file has been passed to load onto the blank screen
	If File.Exists(File.DirInternal,"BalFile.txt") Then
		BalFile = File.ReadString(File.DirInternal,"BalFile.txt")
		Pnl.Initialize("")
		Activity.AddView(Pnl,0,0,100%x,100%y)
		'Check it's a bal file
		If Not(BalFile.ToLowerCase.EndsWith(".bal")) Then BalFile = BalFile & ".bal"
		'Load in our panel
		Pnl.LoadLayout(BalFile)
		BScreen.Initialize(Activity,Pnl)
		'Remove the passed file
		File.Delete(File.DirInternal,"BalFile.txt")
	Else
		'Initialize without a splash screen
		BScreen.Initialize(Activity,Null)
	End If
	
	BScreen.Show
	MeasureKeyboard
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub MeasureKeyboard
	'Start the first test on a timer in case we get a phantom response from change in the 
	'size of screen (Full screen to Non full Screen)
	TestTimer.Enabled = True
End Sub
'Standard Text input
Sub Test1
	RunMode = "Text"
	EditText1.InputType = EditText1.INPUT_TYPE_TEXT
	IME.ShowKeyboard(EditText1)
End Sub
'Number input
Sub Test2
	RunMode = "Numb"
	EditText1.InputType = EditText1.INPUT_TYPE_NUMBERS
	IME.ShowKeyboard(EditText1)
	
End Sub
Sub IME_HeightChanged (NewHeight As Int, OldHeight As Int)
	'May respond to the change from full screen to non full screen
	If RunMode = "" Then 
		'Cancel the timer and Start the first test
		TestTimer.Enabled = False
		Test1
		Return
	End If
	If RunMode = "Text" Then 
		'Only want to catch the keyboard opening first time
		RunMode = "Test2"
		TextViewHeight = NewHeight
		IME.HideKeyboard
	End If
	If RunMode = "Test2" Then
		Test2
		Return
	End If
	If RunMode = "Numb" Then 
		'Only want to catch the keyboard opening first time
		RunMode = "Close"
		NumbViewHeight = NewHeight
		IME.HideKeyboard
	End If
	If RunMode = "Close" Then
		Close
	End If
End Sub
Sub Close
	IME.HideKeyboard
	'Give it another second for the keyboard to disappear
	Timer1.Enabled = True
End Sub

Sub Timer_Tick
	Timer1.Enabled = False
	BScreen.Hide
	Activity.Finish
End Sub
Sub TestTimer_Tick
	TestTimer.Enabled = False
	Test1
End Sub